org.keycloak.saml.processing.core.parsers.util

## Class SAMLParserUtil

- java.lang.Object
- - org.keycloak.saml.processing.core.parsers.util.SAMLParserUtil

-     public class SAMLParserUtil
      extends Object

  Utility methods for SAML Parser
  Since:
    Nov 4, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLParserUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttributeType` | `parseAttribute(XMLEventReader xmlEventReader)` Parse an `AttributeType`
    `static AttributeStatementType` | `parseAttributeStatement(XMLEventReader xmlEventReader)` Parse an `AttributeStatementType`
    `static void` | `parseAttributeType(XMLEventReader xmlEventReader, StartElement startElement, String rootTag, AttributeType attributeType)` Parse an `AttributeType`
    `static Object` | `parseAttributeValue(XMLEventReader xmlEventReader)` Parse Attribute value
    `static AuthnContextType` | `parseAuthnContextType(XMLEventReader xmlEventReader)` Parse the AuthnContext Type inside the AuthnStatement
    `static AuthnStatementType` | `parseAuthnStatement(XMLEventReader xmlEventReader)` Parse the AuthnStatement inside the assertion
    `static KeyInfoType` | `parseKeyInfo(XMLEventReader xmlEventReader)`
    `static NameIDType` | `parseNameIDType(XMLEventReader xmlEventReader)` Parse a `NameIDType`
    `static List<String>` | `parseProtocolEnumeration(StartElement startElement)` Parse a space delimited list of strings

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLParserUtil

          public SAMLParserUtil()

  - ### Method Detail

    - #### parseKeyInfo

          public static KeyInfoType parseKeyInfo(XMLEventReader xmlEventReader)
                                          throws ParsingException

      Throws:
        `ParsingException`

    - #### parseAttributeStatement

          public static AttributeStatementType parseAttributeStatement(XMLEventReader xmlEventReader)
                                                                throws ParsingException

      Parse an `AttributeStatementType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseAttribute

          public static AttributeType parseAttribute(XMLEventReader xmlEventReader)
                                              throws ParsingException

      Parse an `AttributeType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseAttributeType

          public static void parseAttributeType(XMLEventReader xmlEventReader,
                                                StartElement startElement,
                                                String rootTag,
                                                AttributeType attributeType)
                                         throws ParsingException

      Parse an `AttributeType`
      Parameters:
        `xmlEventReader` -
      Throws:
        `ParsingException`

    - #### parseAttributeValue

          public static Object parseAttributeValue(XMLEventReader xmlEventReader)
                                            throws ParsingException

      Parse Attribute value
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseAuthnStatement

          public static AuthnStatementType parseAuthnStatement(XMLEventReader xmlEventReader)
                                                        throws ParsingException

      Parse the AuthnStatement inside the assertion
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseAuthnContextType

          public static AuthnContextType parseAuthnContextType(XMLEventReader xmlEventReader)
                                                        throws ParsingException

      Parse the AuthnContext Type inside the AuthnStatement
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseNameIDType

          public static NameIDType parseNameIDType(XMLEventReader xmlEventReader)
                                            throws ParsingException

      Parse a `NameIDType`
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

    - #### parseProtocolEnumeration

          public static List<String> parseProtocolEnumeration(StartElement startElement)

      Parse a space delimited list of strings
      Parameters:
        `startElement` -
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.